cancel
Showing results for 
Search instead for 
Did you mean: 
Robin217 New Member
New Member

Xerox Linux Drivers need updating for CUPS 2.2

Jump to solution

CUPS 2.2 removed support [1][2] for System V Interface scripts.

 

The current Xerox Linux Drivers rely on System V Interface scripts, and thus no longer work on Linux distributions that have updated to CUPS 2.2, including Fedora 25.

 

Please update Xerox Linux Drivers to work with CUPS 2.2 or provide a PPD file that allows for basic printing options including COLOR printing.

 

Examples of problem reports:

 

1) http://forum.support.xerox.com/t5/General-Information/WorkCentre-6605DN-problem-with-Linux-Driver/td...

2) http://forum.support.xerox.com/t5/General-Information/can-t-install-workcentre-7830-printer-on-debia...

3) https://bugzilla.redhat.com/show_bug.cgi?id=1405203

4) https://bugzilla.redhat.com/show_bug.cgi?id=1405593

 

The suggestion to use the PPD file extracted from Windows driver is not satisfactory. I tried it and the resulting GTK Print Dialog does not allow me to print in color. The "Color" tab offers no option for selecting the "Color Mode".

 

[1] https://github.com/apple/cups/blob/master/CHANGES.txt

"CHANGES IN CUPS V2.2b - Interface scripts are no longer supported for security reasons"

[2] https://lists.linuxfoundation.org/pipermail/printing-architecture/2016/003334.html

Tags (2)
0 Kudos
4 Replies
Highlighted
Analyst Nation Moderator Joe053204-hcl
Analyst Nation Moderator

Re: Xerox Linux Drivers need updating for CUPS 2.2

Jump to solution

I will forward this up the line, but they won't respond back to the forum, If I get anything back officially I will post it here.

Please be sure to select "Accept Solution" and or select the thumbs up icon to enter Kudos for posts that resolve your issues. Your feedback counts!

Joe
Robin217 New Member
New Member

Re: Xerox Linux Drivers need updating for CUPS 2.2

Jump to solution
Thanks Joe!
0 Kudos
wonderbock New Member
New Member

Re: Xerox Linux Drivers need updating for CUPS 2.2

Jump to solution

I solved in this way:

 

http://forum.support.xerox.com/t5/General-Information/WorkCentre-6605DN-problem-with-Linux-Driver/m-...

 

Hope people at Xerox integrate something similar in their driver...

 

Best,

Leonardo

 

ps: xfs exits withous any message, that's why I do not use it...

0 Kudos
Robin217 New Member
New Member

Re: Xerox Linux Drivers need updating for CUPS 2.2

Jump to solution

Thank you Leonardo,

 

I recently upgraded from Fedora 25 to Fedora 27.

 

Today, I installed the latest Xerox Linux Driver for WorkCentre 7830/7835/7845/7855 was pleasantly suprised to find that it worked.

 

(When I was on Fedora 25, my workaround was to downgrade cups to CUPS 2.1)

 

 

 

0 Kudos